<?php

namespace Modules\Common\Repository\Options;

use Modules\Callback\Services\JLEventService;

/**
 * 巨量2.0事件--金额项的卡比例选项
 */
class JLEventCustomRate implements OptionInterface
{
    public function get(): array
    {
        $list = JLEventService::listCustomCallBackRate();
        $result = [];
        foreach ($list as $value=>$label) {
            $result[] = [
                'label' => $label,
                'value' => $value,
            ];
        }

        return  $result;
    }
}
